%define ver_major 0.10

Name: gok
Version: %ver_major.2
Release: alt1

Summary: GOK is a GNOME On-screen Keyboard
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gok.ca

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.4.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver

Requires: libgtk+2 >= %gtk_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Wed Feb 11 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs docbook-dtds docbook-style-dsssl esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc libGConf2-devel libart_lgpl-devel libat-spi-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libgail-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libwnck-devel libxml2-devel openjade perl-XML-Parser perl-i18n pkgconfig scrollkeeper sgml-common

%description
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access methods
and includes word completion.

%package devel
Summary: Development files for GOK
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files and documentation for the GNOME
On-screen Keyboard (GOK).

%prep
%setup -q

%build
%configure --disable-schemas-install \
	--enable-gtk-doc

# SMP-incompatible build	
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# fix schemas
%__subst 's,%buildroot,,g' %buildroot%_sysconfdir/gconf/schemas/*

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Accessibility" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc README AUTHORS NEWS ChangeLog

%files devel
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%changelog
* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Tue Sep 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- First build for Sisyphus.
